module Config.Data.ImageFolders exposing
    ( ImageFolder(..)
    , getImageFolderString
    , imagePathMaker
    )


imagePathMaker : ImageFolder -> String -> String
imagePathMaker imageFolder name =
    case imageFolder of
        Cuck ->
            "/" ++ getImageFolderString imageFolder ++ "/" ++ name ++ "/" ++ name ++ ".png"

        _ ->
            "/" ++ getImageFolderString imageFolder ++ "/" ++ name ++ ".png"


getImageFolderString : ImageFolder -> String
getImageFolderString imageFolder =
    case imageFolder of
        Interviews ->
            "interviews"

        Gibberish ->
            "gibberish"

        Cuck ->
            "cucks"

        BlogArticle ->
            "blog"

        BlogCard ->
            "blog/thumbs"

        Argument ->
            "arguments"

        Service ->
            "services"

        Debate ->
            "debate"

        Donate ->
            "donate"

        NutriDex ->
            "nutridex"

        ServicePage ->
            "services"

        Contact ->
            "contact"


type ImageFolder
    = Interviews
    | Contact
    | Gibberish
    | Cuck
    | BlogArticle
    | BlogCard
    | Argument
    | Service
    | Debate
    | Donate
    | NutriDex
    | ServicePage
