module Config.Helpers.Cards.Inner.StrengthBar exposing
    ( barMaker
    , barPadding
    )

import Config.Helpers.Cards.Inner.ToolTip exposing (tooltip)
import Config.Style.Colour.Helpers exposing (colourTheme)
import Element as E
    exposing
        ( Element
        , alignLeft
        , column
        , el
        , fill
        , height
        , none
        , px
        , width
        )
import Element.Background as B exposing (gradient)
import Element.Border as D
    exposing
        ( color
        , rounded
        , width
        )


barMaker : (Int -> String) -> Int -> Element msg
barMaker getTooltip num =
    el
        [ height <| px 12
        , E.width fill
        , D.rounded 10
        , D.color colourTheme.textDarkGrey
        , D.width 2
        , B.gradient
            { angle = 1.57
            , steps =
                List.concat
                    [ List.repeat num colourTheme.barGreen
                    , List.repeat (10 - num) colourTheme.barRed
                    ]
            }
        , tooltip (getTooltip num) True
        ]
        none


barPadding : List (Element msg) -> Element msg
barPadding =
    column
        [ E.width fill
        , alignLeft
        ]
