module Config.Helpers.Headers.Types exposing
    ( Header
    , Headerable(..)
    )

import Element exposing (Element)


type Headerable msg
    = Arguments (Header msg)
    | BlogPage (Header msg)
    | CuckList (Header msg)
    | Debate (Header msg)
    | Donate (Header msg)
    | Gibberish (Header msg)
    | Services (Header msg)
    | Interviews (Header msg)
    | NutriDex (Header msg)
    | Contact (Header msg)


type alias Header msg =
    { headerTitle : String
    , headerBody : List (Element msg)
    }
