module Config.Pages.Contact.Records exposing (..)

import Config.Pages.Contact.Types exposing (Contact)
import Route.Path as Path


contactInquiry : Contact
contactInquiry =
    { contactName = "General Inquiries"
    , contactImage = "email"
    , contactDescription = "To submit any inquiries, including service purchases, general questions, guest appearances, webinars, public speaking, please reach out via email by clicking here. You may also submit Discord ban appeals here if you wish. To submit any criticism of the content on this site, follow the Criticism link below."
    , contactLink = Path.toString Path.Contact_Inquiry
    , isNewTabLink = False
    }


contactCriticism : Contact
contactCriticism =
    { contactName = "Criticism"
    , contactImage = "discord"
    , contactDescription = "To submit critiques of my arguments, reasoning, blog articles, video content, or public statements, please follow this link and adhere to the instructions precisely. Before pursuing any criticism, consider that misuse of this option may result in an immediate Discord ban with no opportunity for appeal."
    , contactLink = Path.toString Path.Contact_Criticism
    , isNewTabLink = False
    }


contactMain : Contact
contactMain =
    { contactName = "Contact"
    , contactImage = ""
    , contactDescription = ""
    , contactLink = ""
    , isNewTabLink = True
    }
