module Config.Pages.Debate.Arguments.List exposing (argumentList)

import Config.Helpers.Converters exposing (toTitleCase)
import Config.Pages.Debate.Arguments.Records.Abortion exposing (argumentAbortion)
import Config.Pages.Debate.Arguments.Records.Agnosticism exposing (argumentAgnosticism)
import Config.Pages.Debate.Arguments.Records.AgriculturalPredation exposing (argumentAgriculturalPredation)
import Config.Pages.Debate.Arguments.Records.AnabolicKeto exposing (argumentAnabolicKeto)
import Config.Pages.Debate.Arguments.Records.AnimalRights exposing (argumentAnimalRights)
import Config.Pages.Debate.Arguments.Records.AntagonisticPleiotropy exposing (argumentAntagonisticPleiotropy)
import Config.Pages.Debate.Arguments.Records.AntiRewilding exposing (argumentAntiRewilding)
import Config.Pages.Debate.Arguments.Records.AntiVandalism exposing (argumentAntiVandalism)
import Config.Pages.Debate.Arguments.Records.ApoBCVD exposing (argumentApoBCVD)
import Config.Pages.Debate.Arguments.Records.BoobyTrapPagers exposing (argumentBoobyTrapPagers)
import Config.Pages.Debate.Arguments.Records.CarbsObesity exposing (argumentCarbsObesity)
import Config.Pages.Debate.Arguments.Records.CateUpfReductio exposing (argumentCateUpfReductio)
import Config.Pages.Debate.Arguments.Records.ColonizingNature exposing (argumentColonizingNature)
import Config.Pages.Debate.Arguments.Records.CropDeaths exposing (argumentCropDeaths)
import Config.Pages.Debate.Arguments.Records.DairyCowRape exposing (argumentDairyCowRape)
import Config.Pages.Debate.Arguments.Records.DietaryCholesterol exposing (argumentDietaryCholesterol)
import Config.Pages.Debate.Arguments.Records.Dummy exposing (argumentDummy)
import Config.Pages.Debate.Arguments.Records.EfilismPatrolSquad exposing (argumentEfilismPatrolSquad)
import Config.Pages.Debate.Arguments.Records.EpidemiologyCausality exposing (argumentEpidemiologyCausality)
import Config.Pages.Debate.Arguments.Records.EthicalSlurs exposing (argumentEthicalSlurs)
import Config.Pages.Debate.Arguments.Records.FineTuning exposing (argumentFineTuning)
import Config.Pages.Debate.Arguments.Records.FlatEarthDebunk exposing (argumentFlatEarthDebunk)
import Config.Pages.Debate.Arguments.Records.FructoseNAFLD exposing (argumentFructoseNAFLD)
import Config.Pages.Debate.Arguments.Records.HealthPromotingFoods exposing (argumentHealthPromotingFoods)
import Config.Pages.Debate.Arguments.Records.HealthSeeker exposing (argumentHealthSeeker)
import Config.Pages.Debate.Arguments.Records.HealthyChocolate exposing (argumentHealthyChocolate)
import Config.Pages.Debate.Arguments.Records.HealthyDairy exposing (argumentHealthyDairy)
import Config.Pages.Debate.Arguments.Records.HealthyFattyFish exposing (argumentHealthyFattyFish)
import Config.Pages.Debate.Arguments.Records.HealthyFibre exposing (argumentHealthyFibre)
import Config.Pages.Debate.Arguments.Records.HealthyFood exposing (argumentHealthyFood)
import Config.Pages.Debate.Arguments.Records.HealthyPlantFoods exposing (argumentHealthyPlantFoods)
import Config.Pages.Debate.Arguments.Records.HealthySeedOils exposing (argumentHealthySeedOils)
import Config.Pages.Debate.Arguments.Records.HealthySoy exposing (argumentHealthySoy)
import Config.Pages.Debate.Arguments.Records.ImmortalityReductio exposing (argumentImmortalityReductio)
import Config.Pages.Debate.Arguments.Records.LuigiTerrorist exposing (argumentLuigiTerrorist)
import Config.Pages.Debate.Arguments.Records.Malondialdehyde exposing (argumentMalondialdehyde)
import Config.Pages.Debate.Arguments.Records.OddOrderPredators exposing (argumentOddOrderPredators)
import Config.Pages.Debate.Arguments.Records.Omega3Omega6Ratio exposing (argumentOmega3Omega6Ratio)
import Config.Pages.Debate.Arguments.Records.Ostroveganism exposing (argumentOstroveganism)
import Config.Pages.Debate.Arguments.Records.PlantBasedCVDReversal exposing (argumentPlantBasedCVDReversal)
import Config.Pages.Debate.Arguments.Records.PollinationReductio exposing (argumentPollinationReductio)
import Config.Pages.Debate.Arguments.Records.PolyphenolReductio exposing (argumentPolyphenolReductio)
import Config.Pages.Debate.Arguments.Records.ScratcherPioneers exposing (argumentScratcherPioneers)
import Config.Pages.Debate.Arguments.Records.SodiumCVD exposing (argumentSodiumCVD)
import Config.Pages.Debate.Arguments.Records.TMAOCausality exposing (argumentTMAOCausality)
import Config.Pages.Debate.Arguments.Records.Template exposing (argument)
import Config.Pages.Debate.Arguments.Records.TransPeople exposing (argumentTransPeople)
import Config.Pages.Debate.Arguments.Records.TruncatedMeta exposing (argumentTruncatedMeta)
import Config.Pages.Debate.Arguments.Records.UnhealthyCoconutOil exposing (argumentUnhealthyCoconutOil)
import Config.Pages.Debate.Arguments.Records.UnhealthyProcessedMeat exposing (argumentUnhealthyProcessedMeat)
import Config.Pages.Debate.Arguments.Records.UnhealthyRedMeat exposing (argumentUnhealthyRedMeat)
import Config.Pages.Debate.Arguments.Records.UnhealthySaturatedFat exposing (argumentUnhealthySaturatedFat)
import Config.Pages.Debate.Arguments.Records.VeganSocietyReductio exposing (argumentVeganSocietyReductio)
import Config.Pages.Debate.Arguments.Types exposing (..)


argumentList : List Argument
argumentList =
    [ argumentApoBCVD
    , argumentAnabolicKeto
    , argumentAntagonisticPleiotropy
    , argumentCarbsObesity
    , argumentCateUpfReductio
    , argumentDietaryCholesterol
    , argumentFructoseNAFLD
    , argumentHealthPromotingFoods
    , argumentHealthSeeker
    , argumentHealthyChocolate
    , argumentHealthyDairy
    , argumentHealthyFattyFish
    , argumentHealthyFibre
    , argumentHealthyFood
    , argumentHealthyPlantFoods
    , argumentHealthySeedOils
    , argumentHealthySoy
    , argumentMalondialdehyde
    , argumentOmega3Omega6Ratio
    , argumentPlantBasedCVDReversal
    , argumentLuigiTerrorist
    , argumentPolyphenolReductio
    , argumentSodiumCVD
    , argumentTMAOCausality
    , argumentUnhealthyCoconutOil
    , argumentUnhealthyProcessedMeat
    , argumentUnhealthyRedMeat
    , argumentUnhealthySaturatedFat
    , argumentAbortion
    , argumentAgnosticism
    , argumentAgriculturalPredation
    , argumentAnimalRights
    , argumentAntiRewilding
    , argumentAntiVandalism
    , argumentColonizingNature
    , argumentCropDeaths
    , argumentDairyCowRape
    , argumentEfilismPatrolSquad
    , argumentEthicalSlurs
    , argumentFineTuning
    , argumentImmortalityReductio
    , argumentOddOrderPredators
    , argumentOstroveganism
    , argumentPollinationReductio
    , argumentScratcherPioneers
    , argumentTransPeople
    , argumentVeganSocietyReductio
    , argumentBoobyTrapPagers
    , argumentEpidemiologyCausality
    , argumentFlatEarthDebunk
    , argumentTruncatedMeta
    ]
