module Config.Pages.Debate.Arguments.Types exposing (Argument)

import Config.Data.Hashtags.Types exposing (Hashtags(..))


type alias Argument =
    { argumentTitle : String
    , propositionTitle : String
    , propositionSummary : String
    , propositionReductio : String
    , proofLink : String
    , definitionTable : List Definition
    , argumentCertainty : Int
    , argumentImage : String
    , argumentHashtags : List Hashtags
    , isNewTabLink : Bool
    , argumentFormalization : List ArgumentEntry
    }


type alias ArgumentEntry =
    { premises : List PremiseWithNotation
    , conclusion : String
    , conclusionNotation : String
    }


type alias PremiseWithNotation =
    { premise : String
    , notation : String
    }


type alias Definition =
    { definiendum : String
    , definiens : String
    }
