module Config.Pages.Debate.Cuckery.Records.AdamSinger exposing (cuckAdamSinger)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckAdamSinger : Cuck
cuckAdamSinger =
    let
        name : String
        name =
            "Adam Singer"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/AdamSinger"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1566491269194719232?s=20"
          , dodgeDescription = VagueGesture
          , dodgeProposition = "Seed oils cause inflammation and stomach pain."
          , dodgeReceipts =
                [ { receipt = "receipt1" }
                , { receipt = "receipt2" }
                ]
          , dodgeFallacy = Just MotteAndBailey
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
