module Config.Pages.Debate.Cuckery.Records.AnthonyGustin exposing (cuckAnthonyGustin)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        , commonProps
        , noProposition
        )


cuckAnthonyGustin : Cuck
cuckAnthonyGustin =
    let
        name : String
        name =
            "Anthony Gustin"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/dranthonygustin"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1482502242632552449?s=20"
          , dodgeDescription = GhostedMe
          , dodgeProposition = commonProps.propSeedOils
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just AppealToTradition
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
