module Config.Pages.Debate.Cuckery.Records.AshwaniGarg exposing (cuckAshwaniGarg)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        )


cuckAshwaniGarg : Cuck
cuckAshwaniGarg =
    let
        name : String
        name =
            "Ashwani Garg"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/agargmd"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1443328350982967303?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Representing the protein content of beans by dry weight is misleading."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason "It's unclear why we should care about the protein content of a dry food item if that food item is inedible in its dry state"
          }
        ]
    }
