module Config.Pages.Debate.Cuckery.Records.AustinHerbert exposing (cuckAustinHerbert)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckAustinHerbert : Cuck
cuckAustinHerbert =
    let
        name : String
        name =
            "Austin Herbert"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/_AustinHerbert"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1663698981833277440"
          , dodgeDescription = NoReply
          , dodgeProposition = "Seed oils make you fat and kill your body."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just AppealToNature
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
