module Config.Pages.Debate.Cuckery.Records.BenBikman exposing (cuckBenBikman)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckBenBikman : Cuck
cuckBenBikman =
    let
        name : String
        name =
            "Ben Bikman"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/BenBikmanPhD"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1587547250074746880?s=19"
          , dodgeDescription = NoReply
          , dodgeProposition = "The diet-heart hypothesis is false."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSaturatedFatReason
          }
        ]
    }
