module Config.Pages.Debate.Cuckery.Records.BradMarshall exposing (cuckBradMarshall)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        , commonProps
        )


cuckBradMarshall : Cuck
cuckBradMarshall =
    let
        name : String
        name =
            "Brad Marshall"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/fire_bottle"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/upRootNutrition/status/1687597276074782727"
          , dodgeDescription = InTooDeep
          , dodgeProposition = commonProps.propSeedOils
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just MechanisticMasturbation
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
