module Config.Pages.Debate.Cuckery.Records.BretWeinstein exposing (cuckBretWeinstein)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckBretWeinstein : Cuck
cuckBretWeinstein =
    let
        name : String
        name =
            "Bret Weinstein"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/BretWeinstein"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1858356347332374597"
          , dodgeDescription = NoReply
          , dodgeProposition = "Seed oils are dangerous."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1858745910701777229"
          , dodgeDescription = NoReply
          , dodgeProposition = "Seed oils are dangerous."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1858746414882263256"
          , dodgeDescription = NoReply
          , dodgeProposition = "Seed oils are dangerous."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
