module Config.Pages.Debate.Cuckery.Records.BrianKerley exposing (cuckBrianKerley)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        , commonProps
        )


cuckBrianKerley : Cuck
cuckBrianKerley =
    let
        name : String
        name =
            "Brian Kerley"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/SeedOilDsrspctr"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1483889771134926849?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = commonProps.propSeedOils
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1783200352646619227"
          , dodgeDescription = NoReply
          , dodgeProposition = commonProps.propSeedOils
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
