module Config.Pages.Debate.Cuckery.Records.CarnivoreAurelius exposing (cuckCarnivoreAurelius)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckCarnivoreAurelius : Cuck
cuckCarnivoreAurelius =
    let
        name : String
        name =
            "Carnivore Aurelius"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/AlpacaAurelius"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1538272143061815299?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Vegans kill 100x more animals."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just MechanisticMasturbation
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propEmpiricalClaim
          }
        ]
    }
