module Config.Pages.Debate.Cuckery.Records.ChrisBoettcher exposing (cuckChrisBoettcher)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckChrisBoettcher : Cuck
cuckChrisBoettcher =
    let
        name : String
        name =
            "Chris Boettcher"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/chrisboettcher9"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/MeggGawat/status/1669691841682210822"
          , dodgeDescription = NoReply
          , dodgeProposition = "Seed oils are making you fat, depressed, and sick."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
