module Config.Pages.Debate.Cuckery.Records.ClaraAboel exposing (cuckClaraAboel)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckClaraAboel : Cuck
cuckClaraAboel =
    let
        name : String
        name =
            "Clara Aboel"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/AIWellnessCoach"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1727510906655969736"
          , dodgeDescription = NoReply
          , dodgeProposition = "Polyunsaturated fatty acids are known to initiate cancer."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReasonCancer
          }
        ]
    }
