module Config.Pages.Debate.Cuckery.Records.CliffHarvey exposing (cuckCliffHarvey)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckCliffHarvey : Cuck
cuckCliffHarvey =
    let
        name : String
        name =
            "Cliff Harvey"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/CarbAppropriate"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/CarbAppropriate/status/1372281626206507010?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Saturated fat in the diet does not independently increase the risk of mortality."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSaturatedFatReason
          }
        , { dodgeLink = "https://x.com/The_Nutrivore/status/1500650543886204929?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Saturated fat in the diet does not independently increase the risk of mortality."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSaturatedFatReason
          }
        ]
    }
