module Config.Pages.Debate.Cuckery.Records.DavidDiamond exposing (cuckDavidDiamond)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckDavidDiamond : Cuck
cuckDavidDiamond =
    let
        name : String
        name =
            "David Diamond"

        statinProp : String
        statinProp =
            "Statin therapy is not warranted for a person high LDL-C on a low-carb diet."
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/LDLSkeptic"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/LDLSkeptic/status/1583471298306375681?s=20"
          , dodgeDescription = OutrightNo
          , dodgeProposition = statinProp
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propLDLCausality
          }
        , { dodgeLink = "https://x.com/LDLSkeptic/status/1583481964840902656?s=20"
          , dodgeDescription = KillScreen
          , dodgeProposition = statinProp
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propLDLCausality
          }
        ]
    }
