module Config.Pages.Debate.Cuckery.Records.DavidGornoski exposing (cuckDavidGornoski)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckDavidGornoski : Cuck
cuckDavidGornoski =
    let
        name : String
        name =
            "David Gornoski"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/DavidGornoski"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1525474063044550657?s=20"
          , dodgeDescription = OutrightNo
          , dodgeProposition = "Polyunsaturated fatty acids cause obesity."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReasonObesity
          }
        ]
    }
