module Config.Pages.Debate.Cuckery.Records.DianaRodgers exposing (cuckDianaRodgers)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckDianaRodgers : Cuck
cuckDianaRodgers =
    let
        name : String
        name =
            "Diana Rodgers"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/sustainabledish"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1365857401786814465?s=20"
          , dodgeDescription = InTooDeep
          , dodgeProposition = "Saturated fat doesn't increase the risk of coronary heart disease."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just AppealToNature
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSaturatedFatReason
          }
        ]
    }
