module Config.Pages.Debate.Cuckery.Records.GaryBrecka exposing (cuckGaryBrecka)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckGaryBrecka : Cuck
cuckGaryBrecka =
    let
        name : String
        name =
            "Gary Brecka"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/garybrecka1"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1726664526316372125"
          , dodgeDescription = NoReply
          , dodgeProposition = "Linoleic acid consumption causes atherosclerosis."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReasonCVD
          }
        ]
    }
