module Config.Pages.Debate.Cuckery.Records.GeorgeMartin exposing (cuckGeorgeMartin)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckGeorgeMartin : Cuck
cuckGeorgeMartin =
    let
        name : String
        name =
            "George Martin"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/CarnismDebunked"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1815098730141651021"
          , dodgeDescription = RanAway
          , dodgeProposition = "Nick has killed more animals in his life than a mature bear."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just (SpecificFallacy "Appeal to Chatbots")
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propEmpiricalClaim
          }
        ]
    }
