module Config.Pages.Debate.Cuckery.Records.GuyAustin exposing (cuckGuyAustin)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        , commonProps
        , noProposition
        )


cuckGuyAustin : Cuck
cuckGuyAustin =
    let
        name : String
        name =
            "Guy Austin"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/GuyNAustin"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1538607434176020480"
          , dodgeDescription = NoReply
          , dodgeProposition = noProposition
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Nothing
          , dodgeNicksDoxasticReason = NoProp
          }
        , { dodgeLink = "https://x.com/GuyNAustin/status/1687530045101744128"
          , dodgeDescription = OutrightNo
          , dodgeProposition = commonProps.propSeedOils
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
