module Config.Pages.Debate.Cuckery.Records.JakeMey exposing (cuckJakeMey)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        )


cuckJakeMey : Cuck
cuckJakeMey =
    let
        name : String
        name =
            "Jake Mey"

        propReason =
            "Vegan Fridays would only change childrens' diets by <1% annually, and, if anything, this is more likely a positive change than a negative one."
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/CakeNutrition"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1490009495581298690?s=20"
          , dodgeDescription = RanAway
          , dodgeProposition = "Vegan Friday meals are unhealthy for children."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason propReason
          }
        , { dodgeLink = "https://x.com/The_Nutrivore/status/1490060813138280450?s=20"
          , dodgeDescription = OutrightNo
          , dodgeProposition = "Vegan Friday meals are unhealthy for children."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason propReason
          }
        , { dodgeLink = "https://x.com/The_Nutrivore/status/1495419256737091585?s=20"
          , dodgeDescription = KillScreen
          , dodgeProposition = "Vegan Friday meals are unhealthy for children."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason propReason
          }
        ]
    }
