module Config.Pages.Debate.Cuckery.Records.JosephEverett exposing (cuckJosephEverett)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckJosephEverett : Cuck
cuckJosephEverett =
    let
        name : String
        name =
            "Joseph Everett"

        propSeedOils : String
        propSeedOils =
            "Seed oils cause coronary heart disease and cancer."
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/JEverettLearned"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1535334822825971712?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = propSeedOils
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just MechanisticMasturbation
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReasonChronicDisease
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1555138038740680704?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = propSeedOils
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just MechanisticMasturbation
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReasonChronicDisease
          }
        ]
    }
