module Config.Pages.Debate.Cuckery.Records.KenBerry exposing (cuckKenBerry)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        , noProposition
        )


cuckKenBerry : Cuck
cuckKenBerry =
    let
        name : String
        name =
            "Ken Berry"

        propAnimalFat : String
        propAnimalFat =
            "Replacing animal fats with vegetable oils is dangerous."
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/KenDBerryMD"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1366524889067368449?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Type 2 Diabetes is chronic carbohydrate overdose."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = VagueProp
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1539720236701589504?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = propAnimalFat
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just AppealToNature
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1539721408372039680?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = propAnimalFat
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just AppealToNature
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1813969807521300615"
          , dodgeDescription = InTooDeep
          , dodgeProposition = noProposition
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Nothing
          , dodgeNicksDoxasticReason = VagueProp
          }
        ]
    }
