module Config.Pages.Debate.Cuckery.Records.KevinStock exposing (cuckKevinStock)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        , noProposition
        )


cuckKevinStock : Cuck
cuckKevinStock =
    let
        name : String
        name =
            "Kevin Stock"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/kevinstock12"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1530140722225102848?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = noProposition
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Nothing
          , dodgeNicksDoxasticReason = NoProp
          }
        , { dodgeLink = "https://x.com/The_Nutrivore/status/1534927799911317509?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Saturated fat does not cause cardiovascular disease."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSaturatedFatReason
          }
        ]
    }
