module Config.Pages.Debate.Cuckery.Records.KyleMamounis exposing (cuckKyleMamounis)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckKyleMamounis : Cuck
cuckKyleMamounis =
    let
        name : String
        name =
            "Kyle Mamounis"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/Nutricrinology"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1389259133044477953?s=20"
          , dodgeDescription = RanAway
          , dodgeProposition = "Statins do not prevent cardiovascular events."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just MechanisticMasturbation
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propLDLCausality
          }
        ]
    }
