module Config.Pages.Debate.Cuckery.Records.MarkSisson exposing (cuckMarkSisson)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , noProposition
        )


cuckMarkSisson : Cuck
cuckMarkSisson =
    let
        name : String
        name =
            "Mark Sisson"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/Mark_Sisson"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1488360227141419009?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = noProposition
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Nothing
          , dodgeNicksDoxasticReason = NoProp
          }
        ]
    }
