module Config.Pages.Debate.Cuckery.Records.MaxLugavere exposing (cuckMaxLugavere)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckMaxLugavere : Cuck
cuckMaxLugavere =
    let
        name : String
        name =
            "Max Lugavere"

        prop : String
        prop =
            "seed oils consumption is associated with an increased risk of CVD and Alzheimer's disease."
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/maxlugavere"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/maxlugavere/status/1517683567249149953?s=20"
          , dodgeDescription = RanAway
          , dodgeProposition = prop
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReasonChronicDisease
          }
        , { dodgeLink = "https://x.com/The_Nutrivore/status/1518307089742848000?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = prop
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReasonChronicDisease
          }
        , { dodgeLink = "https://x.com/maxlugavere/status/1518367365683064833?s=20"
          , dodgeDescription = OutrightNo
          , dodgeProposition = prop
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReasonChronicDisease
          }
        ]
    }
