module Config.Pages.Debate.Cuckery.Records.MichaelManderville exposing (cuckMichaelManderville)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckMichaelManderville : Cuck
cuckMichaelManderville =
    let
        name : String
        name =
            "Michael Manderville"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/MikeManderville"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1503036463306489856?s=20"
          , dodgeDescription = RanAway
          , dodgeProposition = "A logically coherent position will have logically coherent answer to a logically coherent hypothetical."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propAnalyticalTruth
          }
        ]
    }
