module Config.Pages.Debate.Cuckery.Records.MikeMutzel exposing (cuckMikeMutzel)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckMikeMutzel : Cuck
cuckMikeMutzel =
    let
        name : String
        name =
            "Mike Mutzel"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/MikeMutzel"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1414457776982552576?s=20"
          , dodgeDescription = RanAway
          , dodgeProposition = "COVID is nothing more than a cold to those that are healthy."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just Vaguemongering
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propEmpiricalClaim
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1584645853771616256?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "There is little to no association between saturated fat and cardiovascular disease."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSaturatedFatReason
          }
        ]
    }
