module Config.Pages.Debate.Cuckery.Records.PaulSaladino exposing (cuckPaulSaladino)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        , commonProps
        , noProposition
        )


cuckPaulSaladino : Cuck
cuckPaulSaladino =
    let
        name : String
        name =
            "Paul Saladino"

        prop : String
        prop =
            "To exclude animal foods from the human diet is a nutritional catastrophe."
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/paulsaladinomd"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1275912849999695872?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Subsidies for corn and soy are huge contributors to the chronic disease epidemic in the US."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propEmpiricalClaim
          }
        , { dodgeLink = "https://x.com/FoodFirst_Ty/status/1282847039596843009?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = commonProps.propSeedOils
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          }
        , { dodgeLink = "https://x.com/FoodFirst_Ty/status/1283449495682904064?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = prop
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propEmpiricalClaim
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just AppealToNature
          }
        , { dodgeLink = "https://x.com/The_Nutrivore/status/1282851963902636032?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = prop
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propEmpiricalClaim
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just AppealToNature
          }
        , { dodgeLink = "https://x.com/The_Nutrivore/status/1469136550046814219?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Nutritional epidemiology generally provides good causal estimates."
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propNutritionalEpidemiology
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1633831762509045766?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Linoleic acid wreaks havoc in your body."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just Vaguemongering
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
