module Config.Pages.Debate.Cuckery.Records.PhilipOvadia exposing (cuckPhilipOvadia)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        , noProposition
        )


cuckPhilipOvadia : Cuck
cuckPhilipOvadia =
    let
        name : String
        name =
            "Philip Ovadia"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/ifixhearts"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1557791520324890624?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Sugar is the problem and meat is the solution."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just Vaguemongering
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = VagueProp
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1558282337024180224?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "LDL doesn't cause coronary heart disease because it is just part of the arterial repair process."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propLDLCausality
          }
        ]
    }
