module Config.Pages.Debate.Cuckery.Records.PhilippeStephenson exposing (cuckPhilippeStephenson)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckPhilippeStephenson : Cuck
cuckPhilippeStephenson =
    let
        name : String
        name =
            "Philippe Stephenson"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/TotalCytopath"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1779587012120715433"
          , dodgeDescription = NoReply
          , dodgeProposition = "Seed oils save lives."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
