module Config.Pages.Debate.Cuckery.Records.RaphaelSirtoli exposing (cuckRaphaelSirtoli)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        , commonProps
        )


cuckRaphaelSirtoli : Cuck
cuckRaphaelSirtoli =
    let
        name : String
        name =
            "Raphael Sirtoli"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/raphaels7"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/raphaels7/status/1475767357188579329?s=20"
          , dodgeDescription = OutrightNo
          , dodgeProposition = "The diet-heart hypothesis is false."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSaturatedFatReason
          }
        , { dodgeLink = "https://x.com/raphaels7/status/1783541746015654072"
          , dodgeDescription = KillScreen
          , dodgeProposition = commonProps.propSeedOils
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
