module Config.Pages.Debate.Cuckery.Records.RobbWolf exposing (cuckRobbWolf)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckRobbWolf : Cuck
cuckRobbWolf =
    let
        name : String
        name =
            "Robb Wolf"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/robbwolf"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1601624559647875072?s=20"
          , dodgeDescription = OutrightNo
          , dodgeProposition = "Ancestral foods are more likely to be antagonistically pleiotropic than novel foods."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just AppealToNature
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propAnalyticalTruth
          }
        ]
    }
