module Config.Pages.Debate.Cuckery.Records.SimonGoddek exposing (cuckSimonGoddek)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckSimonGoddek : Cuck
cuckSimonGoddek =
    let
        name : String
        name =
            "Simon Goddek"

        prop : String
        prop =
            "Vegetable oils increase the risk of heart disease."
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/goddeketal"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1795673579931255233"
          , dodgeDescription = NoReply
          , dodgeProposition = prop
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just MechanisticMasturbation
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReasonCVD
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1795885929678196951"
          , dodgeDescription = NoReply
          , dodgeProposition = prop
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just MechanisticMasturbation
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReasonCVD
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1795674575315112396"
          , dodgeDescription = NoReply
          , dodgeProposition = prop
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just MechanisticMasturbation
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReasonCVD
          }
        ]
    }
