module Config.Pages.Debate.Cuckery.Records.TomDayspring exposing (cuckTomDayspring)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckTomDayspring : Cuck
cuckTomDayspring =
    let
        name : String
        name =
            "Thomas Dayspring"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/Drlipid"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/upRootNutrition/status/1865200631209955669"
          , dodgeDescription = EmptyHanded
          , dodgeProposition = "Reducing cholesterol in diet has no CV effect outside of those who have significant hyperabsorption of cholesterol."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propEmpiricalClaim
          }
        ]
    }
