module Config.Pages.Debate.Cuckery.Records.TuckerGoodrich exposing (cuckTuckerGoodrich)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        , noProposition
        )


cuckTuckerGoodrich : Cuck
cuckTuckerGoodrich =
    let
        name : String
        name =
            "Tucker Goodrich"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/TuckerGoodrich"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1276694117494358017?s=19"
          , dodgeDescription = RanAway
          , dodgeProposition = "Nutritional epidemiology is almost always wrong."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propNutritionalEpidemiology
          }
        , { dodgeLink = "https://x.com/TuckerGoodrich/status/1428062578668830720?s=20"
          , dodgeDescription = RanAway
          , dodgeProposition = noProposition
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Nothing
          , dodgeNicksDoxasticReason = NoProp
          }
        , { dodgeLink = "https://x.com/TuckerGoodrich/status/1469366622196359170?s=20"
          , dodgeDescription = OutrightNo
          , dodgeProposition = noProposition
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Nothing
          , dodgeNicksDoxasticReason = NoProp
          }
        , { dodgeLink = "https://x.com/TuckerGoodrich/status/1470029816975872007?s=20"
          , dodgeDescription = KillScreen
          , dodgeProposition = noProposition
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Nothing
          , dodgeNicksDoxasticReason = NoProp
          }
        ]
    }
