module Config.Pages.Debate.Cuckery.Records.ZsofiaClemens exposing (cuckZsofiaClemens)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckZsofiaClemens : Cuck
cuckZsofiaClemens =
    let
        name : String
        name =
            "Zsófia Clemens"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/ClemensZsofia"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1528377198180290561?s=20"
          , dodgeDescription = OutrightNo
          , dodgeProposition = "Well-planned, plant-based diets are healthy."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just AppealToNature
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propPlantBasedDiets
          }
        ]
    }
