module Config.Pages.Donate.Records.Merch exposing (donateMerch)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Donate.Types exposing (Donate)


donateMerch : Donate
donateMerch =
    let
        name : String
        name =
            "Merchandise"
    in
    { donateImage = formatName name
    , donateLink = "https://streamlabs.com/thenutrivore/merch"
    , donateName = name
    , donateFees = "~60%"
    , donatePreference = 1
    , isNewTabLink = True
    , donateFeatures =
        [ { free = Just False
          , subscriptions = Just False
          , openSource = Just False
          , fastPayments = Just False
          , userFriendly = Just True
          , anonymous = Just False
          , rewardTiers = Just False
          }
        ]
    , donatePros =
        [ { pro = "Allows supporters to get tangible goods."
          }
        , { pro = "Potential for creative design opportunities."
          }
        ]
    , donateCons =
        [ { con = "They gouge me pretty hard per sale."
          }
        , { con = "Potentially expensive for supporters."
          }
        , { con = "Limited design options through current provider."
          }
        ]
    }
