module Config.Pages.Donate.Records.Stripe exposing (donateStripe)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Donate.Types exposing (Donate)


donateStripe : Donate
donateStripe =
    let
        name : String
        name =
            "Stripe"
    in
    { donateImage = formatName name
    , donateLink = "https://donate.stripe.com/aEUaFT3Vd9ta1oI144"
    , donateName = name
    , donateFees = "3%"
    , donatePreference = 8
    , isNewTabLink = True
    , donateFeatures =
        [ { free = Just False
          , subscriptions = Just True
          , openSource = Just False
          , fastPayments = Just True
          , userFriendly = Just True
          , anonymous = Just True
          , rewardTiers = Just False
          }
        ]
    , donatePros =
        [ { pro = "Widely used and recognized globally."
          }
        , { pro = "Lower 3% transaction fee."
          }
        , { pro = "Offers buyer and seller protections."
          }
        , { pro = "Easy to use for one-time donations."
          }
        , { pro = "Familiar to most internet users."
          }
        ]
    , donateCons =
        [ { con = "Can have complicated international transaction rules."
          }
        , { con = "Potential account limitations or freezes."
          }
        ]
    }
