module Config.Pages.Donate.Records.Template exposing (donateTemplate)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Donate.Types exposing (Donate)


donateTemplate : Donate
donateTemplate =
    let
        name : String
        name =
            ""
    in
    { donateImage = formatName name
    , donateLink = ""
    , donateName = name
    , donateFees = ""
    , donatePreference = 1
    , isNewTabLink = True
    , donateFeatures =
        [ { free = Just True
          , subscriptions = Just True
          , openSource = Just True
          , fastPayments = Just False
          , userFriendly = Just True
          , anonymous = Just True
          , rewardTiers = Just False
          }
        ]
    , donatePros =
        [ { pro = ""
          }
        ]
    , donateCons =
        [ { con = "" }
        ]
    }
