module Config.Pages.Interviews.Records.LegendaryLifePodcast exposing (legendaryLifePodcast)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Interviews.Types exposing (Interview)


legendaryLifePodcast : Interview
legendaryLifePodcast =
    let
        name : String
        name =
            "Legendary Life Podcast"
    in
    { interviewName = name
    , interviewImage = formatName name
    , interviewSocial = "https://x.com/ted_ryce"
    , isNewTabLink = True
    , interviewAppearances =
        [ { appearanceTitle = "Common Food And Nutrition Myths Debunked"
          , appearanceEpisode = "391"
          , appearanceLink = "https://www.legendarylifepodcast.com/391-5-common-food-and-nutrition-myths-debunked-with-nick-hiebert/c"
          , appearanceExperience = 9
          , appearanceYear = "March 9th, 2020"
          , appearanceSubjects =
                [ { subject = "The importance of identifying quality evidence." }
                , { subject = "Salt doesn’t cost high blood pressure?" }
                , { subject = "Foods that are high in potassium." }
                , { subject = "Why eating processed foods might make you fat." }
                , { subject = "Western Diet Culture Mentality." }
                , { subject = "Are there good foods and bad foods." }
                , { subject = "Nutrient Density: Guide and Tools." }
                ]
          }
        ]
    }
