module Config.Pages.Interviews.Records.MuscleMemoirsPodcast exposing (muscleMemoirsPodcast)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Interviews.Types exposing (Interview)


muscleMemoirsPodcast : Interview
muscleMemoirsPodcast =
    let
        name : String
        name =
            "Muscle Memoirs Podcast"
    in
    { interviewName = name
    , interviewImage = formatName name
    , interviewSocial = "https://x.com/MikeMurrayRD"
    , isNewTabLink = True
    , interviewAppearances =
        [ { appearanceTitle = "The Nutri-Dex, Misconceptions, and Optimizing Body Composition"
          , appearanceEpisode = "11"
          , appearanceLink = "https://www.youtube.com/watch?v=SF1BBOA5FAQ"
          , appearanceExperience = 10
          , appearanceYear = "March 8th, 2020"
          , appearanceSubjects =
                [ { subject = "The story behind the Nutri-Dex." }
                , { subject = "Misconceptions about nutrient density." }
                , { subject = "Using the cheat sheet to optimize body composition." }
                , { subject = "Top foods that are beneficial for bodybuilding." }
                , { subject = "How are the most satiating foods determined?" }
                , { subject = "Nick gives some of his tops foods" }
                ]
          }
        , { appearanceTitle = "Seed Oils, Saturated Fat, and Cardiovascular Disease"
          , appearanceEpisode = "82"
          , appearanceLink = "https://www.youtube.com/watch?v=WfApzH4Dj3M"
          , appearanceExperience = 10
          , appearanceYear = "May 21st, 2021"
          , appearanceSubjects =
                [ { subject = "Mechanistic arguments against seed oils." }
                , { subject = "Linoleic acid consumption and heart disease." }
                , { subject = "Are hunter-gatherer diets optimal for modern humans?" }
                , { subject = "Saturated fat and blood lipids." }
                , { subject = "Meta-analysis in nutrition." }
                ]
          }
        ]
    }
