module Config.Pages.Services.Records.DebateAnalysis exposing (servicesDebateAnalysis)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Services.Types exposing (Service)
import Route.Path as Path


servicesDebateAnalysis : Service
servicesDebateAnalysis =
    let
        name : String
        name =
            "Debate Analysis"
    in
    { serviceImage = formatName name
    , serviceLink = Path.toString Path.Services_Analysis
    , serviceName = name
    , isNewTabLink = False
    , serviceRate = "$80/hr"
    , serviceBlurb = ""
    , serviceDescription =
        [ { point = "Have your own debates analyzed for constructive feedback." }
        , { point = "Receive advice to improve your debate and public speaking skills." }
        , { point = "Gain valuable insights that help you become a stronger reasoner." }
        , { point = "Gain comfort with debate and verbal confrontation." }
        ]
    }
