module Config.Pages.Services.Records.DebateCoaching exposing (servicesDebateCoaching)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Services.Types exposing (Service)
import Route.Path as Path


servicesDebateCoaching : Service
servicesDebateCoaching =
    let
        name : String
        name =
            "Debate Coaching"
    in
    { serviceImage = formatName name
    , serviceLink = Path.toString Path.Services_Coaching
    , serviceName = name
    , serviceRate = "$60/hr"
    , isNewTabLink = False
    , serviceBlurb = ""
    , serviceDescription =
        [ { point = "Participate in a structured course with five one-hour modules." }
        , { point = "Learn critical thinking, debate strategy, formal logic, and more" }
        , { point = "Receive personalized and generalizable advice." }
        , { point = "Improve debate understanding and performance." }
        ]
    }
