module Config.Pages.Services.Records.ElmBuilds exposing (servicesElmBuilds)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Services.Types exposing (Service)
import Route.Path as Path


servicesElmBuilds : Service
servicesElmBuilds =
    let
        name : String
        name =
            "Custom Elm Sites"
    in
    { serviceImage = formatName name
    , serviceLink = Path.toString Path.Services_Elm
    , serviceName = name
    , serviceRate = "$50/hr (or by deliverable)"
    , isNewTabLink = False
    , serviceBlurb = ""
    , serviceDescription =
        [ { point = "Receive a custom website frontend written in Elm." }
        , { point = "Tailored solutions based on user needs." }
        , { point = "Assistance with server integration." }
        , { point = "Receive unlimited revisions before finalization." }
        ]
    }
