module Config.Pages.Services.Records.NixBuilds exposing (servicesNixBuilds)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Services.Types exposing (Service)
import Route.Path as Path


servicesNixBuilds : Service
servicesNixBuilds =
    let
        name : String
        name =
            "Custom Nix Configs"
    in
    { serviceImage = formatName name
    , serviceLink = Path.toString Path.Services_Nix
    , serviceName = name
    , serviceRate = "$50/hr (or by deliverable)"
    , isNewTabLink = False
    , serviceBlurb = ""
    , serviceDescription =
        [ { point = "Receive a custom NixOS configuration." }
        , { point = "Help with transitioning from other operating systems to NixOS." }
        , { point = "Assistance with the Nix programming language." }
        , { point = "Receive unlimited revisions before finalization." }
        ]
    }
