module Config.Pages.Services.Records.NutritionScience exposing (servicesNutritionScience)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Services.Types exposing (Service)
import Route.Path as Path


servicesNutritionScience : Service
servicesNutritionScience =
    let
        name : String
        name =
            "Nutrition Science"
    in
    { serviceImage = formatName name
    , serviceLink = Path.toString Path.Services_Nutrition
    , serviceName = name
    , serviceRate = "$50/hr"
    , isNewTabLink = False
    , serviceBlurb = ""
    , serviceDescription =
        [ { point = "Participate in a focused, one-hour Q&A session on nutrition science." }
        , { point = "Inquire about methodology, epistemology, and study interpretation." }
        , { point = "Gain access to nutrition science interpretation cheat sheets." }
        , { point = "Simplify and streamline the research appraisal process." }
        ]
    }
